%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

%define commitid 2e6be9ea55
%define alphatag 20080822git%{commitid}

Summary: Sugar toolkit
Name: sugar-toolkit
Version: 0.82.5
Release: 1%{?dist}
#Release: 2.%{alphatag}%{?dist}
URL: http://wiki.laptop.org/go/Sugar
# git clone git://dev.laptop.org/sugar
# cd sugar
# git-checkout %{commitid}
#Source0: %{name}-%{version}-git%{commitid}.tar.bz2
Source0: http://dev.laptop.org/pub/sugar/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: macros.sugar
License: LGPLv2
Group: System Environment/Libraries
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig
BuildRequires: pygtk2-devel
BuildRequires: gettext
BuildRequires: gtk2-devel
BuildRequires: perl-XML-Parser
BuildRequires: libSM-devel

Requires: gnome-python2-rsvg
Requires: dbus-python
Requires: pygtk2
Requires: hippo-canvas-python
Requires: sugar-datastore
Requires: sugar-base
Requires: sugar-presence-service
Requires: python-simplejson

%description
Sugar is the core of the OLPC Human Interface. The toolkit provides
a set of widgets to build HIG compliant applications and interfaces
to interact with system services like presence and the datastore.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %name
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rpm/ 	 
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.sugar

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README

%{python_sitelib}/*
%{_sysconfdir}/rpm/macros.sugar

%changelog
* Mon Sep 01 2008 Simon Schampijer <simon@laptop.org> - 0.82.5-1
- Translation updates
- Add plural information for all languages
- Fix plural form equations

* Thu Aug 31 2008 Simon Schampijer <simon@laptop.org> - 0.82.4-1
- 8136 Do a more 'standard' system installation for bundlebuilder
- 7837 Do not try to list the mimetypes directory if it does not exist
- 8220 Ensure that the widget is fully onscreen before taking a screenshot

* Thu Aug 28 2008 Marco Pesenti Gritti <mpgritti@gmail.com> - 0.82.3-1
- Translation updates

* Thu Aug 28 2008 Marco Pesenti Gritti <mpgritti@gmail.com> - 0.82.2-1
- #5428 downloads not starting in Browse due to old compreg.dat
- #7733 Cannot install Wikipedia-10.xo
- #7533 Activity does not respond to ctrl-q keyboard shortcut unless the 'Activity' tab is visible
- #8000 Pulsing icon on activity launch significantly slows activity start-up
- #8000 Pulsing icon on activity launch significantly slows activity start-up
- #7270 /setup release does not update the bundle number
- #7680 Activity name box is too small for localizaed name
- #7881 Accelerator labels don't show up for most toolbar buttons
- #7800 time stamps doesn't use translations

* Tue Aug 22 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 0.82.1-2.20080822git2e6be9ea55
- #7270 Add update functionality to Config in bundlebuilder
- #7680 Widen activity tile entry
- #7841 Wrap message in alert
- #7881 Make Palette handle changes of the invoker widget

* Tue Aug 12 2008 Marco Pesenti Gritti <mpgritti@gmail.com> - 0.82.1-1
- Fix crash on startup on x86_64

* Thu Aug 07 2008 Marco Pesenti Gritti <mpgritti@gmail.com> - 0.82.0-2
- Rebuild

* Thu Aug 07 2008 Marco Pesenti Gritti <mpgritti@gmail.com> - 0.82.0-1
- #7759 Default home view should be Ring, not Freeform
- #4084 Palette persist over zoom levels
- #7754 Handle multiple Activity per process correctly
- Add git tagging to the 'setup.py release' command

* Fri Aug 01 2008 Morgan Collett <morgan@laptop.org> - 0.81.8-1
- #7566 sugar-shell enters in infinite loop after a failed shutdown 
- #7534 Safer to always install, rather than comparing versions
- #7494 Updates to Browse-92 fail

* Wed Jul 23 2008 Simon Schampijer <simon@laptop.org> - 0.81.7-1
- 5136 Keep error alert hard to find
- 6014 Shutdown should sync activities data
- 7532 install + open content bundles with journal
- 7523 library index regeneration fails due to no XDG_DATA_DIRS
- 4208 Battery indicator's icon fullness inconsistent with indicator %.
- 7444 cannot close a shared activity when the initiator has disconnected
- 7430 Favorites view is not preserved
- 7434 Control panel UI for power management.
- 5079 Could simplify sharing code

* Tue Jul 15 2008 Simon Schampijer <simon@laptop.org> - 0.81.6-3.20080715gitd17347cc19
- git snapshot
- 7523 fix content bundle installation
- 5079 simplify sharing code
- 4208 get_icon_state accepts negative step kwarg
- 7444 Fix crash in get_joined_buddies when a buddy disappears uncleanly

* Wed Jul 09 2008 Simon Schampijer <simon@laptop.org> - 0.81.6-2.20080709git92ef9d298a
- git snapshot
- 7430 Preserve the favorites layout across reboots
- 7434 Add power section to the control panel

* Wed Jul 09 2008 Simon Schampijer <simon@laptop.org> - 0.81.6-1
- 7015 Add proper alignment support to the tray control
- 7054 Journal doesn't show correct colors for activity instances
- 7046 Deleting activity bundle with journal leaves it showing in Home list view until reboot
- 3939 Keep button should use XO colors
- 7248 Speaker device has inconsistent behavior

* Sat Jun 21 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 0.81.5-1
- Add build dependency on libSM-devel
- Support for session management (marco)
- Make MANIFEST mandatory in bundlebuilder (homunq)
- Add a position attribute to activity bundles (tomeu)
- Add a scroll_to_item method to the tray (benzea)

* Mon Jun 09 2008 Simon Schampijer <simon@laptop.org> - 0.81.4-1
- Add an installation time property to the activity bundle (Tomeu)
- Reveal palettes on right-click (Eben)
- Refactor bundlebuilder and add dist_source command (Marco)
- Enable journal to do open-with for activity bundles (Chema)
- Add timezone, hot_corners, warm_edges to the profile (Simon) 

* Thu Apr 24 2008 Simon Schampijer <simon@laptop.org> - 0.79.6-1
- Fix activity installation

* Tue Apr 22 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 0.79.5-1
- Correctly use tempfile.mkstemp().

* Tue Apr 22 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 0.79.4-1
- Pylint cleanup.

* Wed Apr 09 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 0.79.3
- Added default to label arg in palette constructor (eben)

* Fri Apr 04 2008 Dennis Gilmore <dennis@ausil.us> - 0.79.2-3 	 
- add macro defining sugaractivitydir

* Thu Apr 03 2008 Simon Schampijer <simon@laptop.org> - 0.79.2
- add python-simplejson as dependency 
- #5474: Scale emblems

* Wed Apr  2 2008 Simon Schampijer <simon@laptop.org> - 0.79.1
- Frame/Home redesign - Put corner stone

* Fri Feb  8 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.79.0-2
- Fix source reference

* Wed Feb  6 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.79.0-1
- Initial build
